Subject: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Andrew Cohen <[email-masked]>
Date: Thu, 06 Feb 2025 23:43:41 +0800

>>>>> "SM" == Stefan Monnier <[email-masked]> writes:

    >> What is the semantics of this?  If the user closes the lid of the
    >> laptop, and that was defined to put the system to sleep, does
    >> such "inhibiting" mean the system will not sleep?  If so, I'm not
    >> sure this is supported.

    SM> Don't know about "supported", but failing to sleep when the
    SM> laptop is closed can be a major problem (I only experienced the
    SM> milder versions, like finding my laptop with an empty battery,
    SM> or my backpack all dirty with melted chocolate, but overheating
    SM> can be a serious issue).

The "Inhibit" method I am using allows a delay rather than a total
block. You can specify a time (default I think is 5 seconds) after which
the sleep will proceed (or you can remove the delay earlier). So your
chocolate is safe (at least from melting).

-- 
Andrew Cohen